ranges::actions::stride_fn Struct Reference

## Public Types

using | S = sentinel_t< Rng >

## Public Member Functions

| assert (0< step)
template<typename D >
CPP_TEMPLATE_AUX_0 | c (requires detail::integer_like_< D >) ccconstexpr auto operator()(D step) const
| if (1< step)
template<typename Rng , typename D = range_difference_t<Rng>>
CPP_TEMPLATE_AUX_0 | R (requires forward_range< Rng > &&erasable_range< Rng &, iterator_t< Rng >, sentinel_t< Rng >> &&permutable< iterator_t< Rng >>) RRRng operator()(Rng &&rng
return | static_cast (rng)

## Public Attributes

CPP_TEMPLATE_AUX_0 range_difference_t< Rng > const step | const

## Related Functions

(Note that these are not member functions.)
constexpr stride_fn | stride {}

## Member Data Documentation

## const

CPP_TEMPLATE_AUX_0 range_difference_t<Rng> const step ranges::actions::stride_fn::const

Initial value:
{
using I = iterator_t<Rng>
ranges::I
CPP_TEMPLATE_AUX_0 I(requires bidirectional_iterator< I > &&sortable< I, C, P >) III inplace_merge(I first
function template inplace_merge